Subject: ANNOUNCE: WWW::Sitemap 0.001
From: Ave Wrigley <[email-masked]>
Date: 31 Mar 1999 13:22:44 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

WWW::Sitemap is a perl module which can be used to generate a site map,
given a root URL for a site. It is distributed with the sitemapper.pl
script, which includes a number of example formats for sitemaps,
including an HTML bulleted list, a dynamic HTML folding tree, based on
Jef Perlman's javascript Tree class (see
http://developer.netscape.com/docs/examples/dynhtml/tree.html), and a
plain text indented list.

The distribution also includes the LWP::AuthenAgent module, which is
used by sitemapper.pl to support user supplied username / password
authentication for access controlled pages. LWP::AuthenAgent is a simple
subclass of the LWP::UserAgent module. I have tried to make the
sitemapper.pl script as compatable as possible with previous sitemapper
releases.

This distribution is available though CPAN at:

ftp://ftp.perl.org/pub/CPAN/authors/id/A/AW/AWRIGLEY/sitemapper-1.007.tar.gz
ftp://ftp.perl.org/pub/CPAN/authors/id/A/AW/AWRIGLEY/sitemapper-1.007.readme

I would be grateful for any comment or suggestions on either of these
modules, or on the sitemapper.pl script. This is an early release of
both modules, so I would be open to suggestions on the namespace /
interface.

Ave Wrigley.

-- 
Ave Wrigley,                    mailto:[email-masked]
Web Group,                      http://www.cre.canon.co.uk/
Canon Research Europe,          tel: +44-1483-448844
Guildford GU2 5YJ, U.K.         fax: +44-1483-448845